## org.apache.lucene.codecs.lucene40
Class Lucene40SkipListWriter

    java.lang.Object
      org.apache.lucene.codecs.MultiLevelSkipListWriter
          org.apache.lucene.codecs.lucene40.Lucene40SkipListWriter

Deprecated. Only for reading old 4.0 segments

    @Deprecated
    public class Lucene40SkipListWriter

extends MultiLevelSkipListWriter

Implements the skip list writer for the 4.0 posting list format that stores positions and payloads.

See Also:
  `Lucene40PostingsFormat`

Field Summary

Fields inherited from class org.apache.lucene.codecs.MultiLevelSkipListWriter
`numberOfSkipLevels`

Constructor Summary
`Lucene40SkipListWriter(int skipInterval, int numberOfSkipLevels, int docCount, IndexOutput freqOutput, IndexOutput proxOutput)` Deprecated. Sole constructor.

Method Summary
`void` `resetSkip()` Deprecated.
`void` `setSkipData(int doc, boolean storePayloads, int payloadLength, boolean storeOffsets, int offsetLength)` Deprecated. Sets the values for the current skip data.
`protected void` `writeSkipData(int level, IndexOutput skipBuffer)` Deprecated.

Methods inherited from class org.apache.lucene.codecs.MultiLevelSkipListWriter
`bufferSkip, init, writeSkip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40SkipListWriter

    public Lucene40SkipListWriter(int skipInterval,
                                  int numberOfSkipLevels,
                                  int docCount,
                                  IndexOutput freqOutput,
                                  IndexOutput proxOutput)

  Deprecated.
  Sole constructor.

Method Detail

### setSkipData

    public void setSkipData(int doc,
                            boolean storePayloads,
                            int payloadLength,
                            boolean storeOffsets,
                            int offsetLength)

  Deprecated.
  Sets the values for the current skip data.

### resetSkip

    public void resetSkip()

  Deprecated.
  Overrides:
    `resetSkip` in class `MultiLevelSkipListWriter`

### writeSkipData

    protected void writeSkipData(int level,
                                 IndexOutput skipBuffer)
                          throws IOException

  Deprecated.
  Specified by:
    `writeSkipData` in class `MultiLevelSkipListWriter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.